<script>
	import SVG from "@/components/svg.svelte"
	import Heading from "@/components/heading.svelte"

	import { t, l, locale } from "@/i18n"
	import { isLight } from "@/stores/static"
	import { isPhone } from "@/stores/responsiveness"
	import { page } from "$app/stores"

	$: brands = $page.data.brands
	$: types = $page.data.types

	$: size = $locale === "ru" ? 8 : 9

	$: _n = n => $isPhone && n === "Mercedes-Benz" ? n.substring(0, 8) + "..." : n
</script>

<template lang="pug">
.columns.is-flex.is-multiline( class:dark='{!$isLight}' )
	.brands.column.is-12-tablet.is-12-mobile( class='{`is-${size}-desktop`}' )
		.column-container
			Heading( btnText!='{$t("buttons.see_all")}' link!='{$l("cars")}' ) {$t("heading.by_make")}
			.list.is-flex.is-align-items-flex-start.is-justify-content-flex-start.is-flex-wrap-wrap
				+each('brands as brand')
					a.list-item.is-flex.is-align-items-center.is-justify-content-flex-start( href!='{$l(`cars/${brand.url}`)}' )
						span.icon.is-flex.is-align-items-center.is-justify-content-center: SVG( folder="brands" name='{brand.url}' )
						span.name {_n(brand.name)}
						span.cars {brand.cars}
	.types.column.is-12-tablet.is-12-mobile( class='{`is-${12 - size}-desktop`}' )
		.column-container
			Heading( btnText!='{$t("buttons.see_all")}' link!='{$l("cars")}' ) {$t("heading.by_type")}
			.list.is-flex.is-align-items-flex-start.is-justify-content-flex-start.is-flex-wrap-wrap
				+each('types as type')
					a.list-item.is-flex.is-flex-direction-column.is-align-items-center.is-justify-content-flex-start( href!='{$l(`cars/${type.url}`)}' )
						span.icon.is-flex.is-align-items-center.is-justify-content-center: SVG( folder="types" name='{type.url}' )
						span.name {type.name}
</template>

<style lang="scss">
.dark {
	.list-item {
		background: #2E2E2E;

		.name {
			color: $white!important;
		}

		.cars {
			color: #D8D8D8;
		}

		:global(svg path) {
			fill: $white;
		}

		&:hover {
			background: #434343;
		}
	}

	.brands {
		.list-item {
			:global(svg path) {
				fill: #D8D8D8;
			}
		}
	}
}

.list {
	margin-top: 2.5rem;
	margin-bottom: -.5rem;
	margin-right: -.5rem;
	&-item {
		margin-right: .5rem;
		margin-bottom: .5rem;
		background: $gray;
		transition: background .2s ease-in-out;
		span {
			transition: color .2s ease-in-out;
		}
		&:hover {
			background: $gray-dark;
		}
		:global(svg path) {
			transition: fill .2s ease-in-out;
		}

		@media screen and (max-width: 400px) {
			.name, .cars {
				font-size: .875rem!important;
			}
		}

		@media screen and (max-width: 330px) {
			.name, .cars {
				font-size: .75rem!important;
			}
		}
	}

	@include max_mobile {
		flex-flow: row wrap;
		&-item {
			flex: 1 auto;
			min-width: calc(50% - .5rem);
		}
	}
}

.brands {
	@include max_tablet {
		padding-bottom: 4.5rem;
	}
	.list-item {
		padding: .1875rem .5rem;
		:global(svg) {
			width: 2rem;
			height: 2rem;
		}
		.icon {
			margin-right: .5rem;
		}
		.name {
			font-weight: 300;
			color: $black;
			margin-right: .5rem;
		}
		.cars {
			font-weight: 300;
			color: $gray-text;
		}
	}
}

.types {
	.list-item {
		width: calc(33.333333% - .5rem);
		padding: .5rem .458rem .375rem;
	}
	.icon {
		width: 4rem;
		height: 2.625rem;
		margin-bottom: .5rem;
	}
	.name {
		line-height: 1rem;
		font-weight: 300;
		text-align: center;
		color: $black;
	}
}
</style>